package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcBudgetSettleMapper;
import com.ruoyi.oa.domain.CmcBudgetSettle;
import com.ruoyi.oa.service.ICmcBudgetSettleService;

/**
 * cmc预结算Service业务层处理
 * 
 * @author cmc
 * @date 2024-03-22
 */
@Service
public class CmcBudgetSettleServiceImpl implements ICmcBudgetSettleService 
{
    @Autowired
    private CmcBudgetSettleMapper cmcBudgetSettleMapper;

    /**
     * 查询cmc预结算
     * 
     * @param budgetId cmc预算id
     * @return cmc预结算
     */
    @Override
    public List<CmcBudgetSettle> selectCmcBudgetSettleByBudgetId(String budgetId)
    {
        return cmcBudgetSettleMapper.selectCmcBudgetSettleByBudgetId(budgetId);
    }

    /**
     * 查询cmc预结算列表
     * 
     * @param cmcBudgetSettle cmc预结算
     * @return cmc预结算
     */
    @Override
    public List<CmcBudgetSettle> selectCmcBudgetSettleList(CmcBudgetSettle cmcBudgetSettle)
    {
        return cmcBudgetSettleMapper.selectCmcBudgetSettleList(cmcBudgetSettle);
    }

    /**
     * 新增cmc预结算
     * 
     * @param cmcBudgetSettle cmc预结算
     * @return 结果
     */
    @Override
    public int insertCmcBudgetSettle(CmcBudgetSettle cmcBudgetSettle)
    {
        return cmcBudgetSettleMapper.insertCmcBudgetSettle(cmcBudgetSettle);
    }

    /**
     * 修改cmc预结算
     * 
     * @param cmcBudgetSettle cmc预结算
     * @return 结果
     */
    @Override
    public int updateCmcBudgetSettle(CmcBudgetSettle cmcBudgetSettle)
    {
        return cmcBudgetSettleMapper.updateCmcBudgetSettle(cmcBudgetSettle);
    }

    /**
     * 批量删除cmc预结算
     * 
     * @param budgetIds 需要删除的cmc预结算主键
     * @return 结果
     */
    @Override
    public int deleteCmcBudgetSettleByBudgetIds(String[] budgetIds)
    {
        return cmcBudgetSettleMapper.deleteCmcBudgetSettleByBudgetIds(budgetIds);
    }

    /**
     * 删除cmc预结算信息
     * 
     * @param budgetId cmc预结算主键
     * @return 结果
     */
    @Override
    public int deleteCmcBudgetSettleByBudgetId(String budgetId)
    {
        return cmcBudgetSettleMapper.deleteCmcBudgetSettleByBudgetId(budgetId);
    }
}
